Difference between revisions of "LinuxMoto"

From ScummVM :: Wiki
Jump to navigation Jump to search
m (Add the packager)
 
(9 intermediate revisions by 5 users not shown)
Line 2: Line 2:
 
name=LinuxMoto|
 
name=LinuxMoto|
 
backend=linuxmoto + sdl|
 
backend=linuxmoto + sdl|
version={{StableVersion}}|
+
version=1.3.0|
status=Maintained|
+
status=Unmaintained|
 
mp3=yes|
 
mp3=yes|
 
ogg=yes|
 
ogg=yes|
 +
flac=yes|
 
uncompressed=yes|
 
uncompressed=yes|
 
zlib=yes|
 
zlib=yes|
 +
plugins=no|
 +
16bits=no|
 +
buildbot=no|
 
firstversion=1.0.0|
 
firstversion=1.0.0|
 
maintainer=[[User:Lubomyr|Lubomyr]]|
 
maintainer=[[User:Lubomyr|Lubomyr]]|
 
packager=[[User:Lubomyr|Lubomyr]]|
 
packager=[[User:Lubomyr|Lubomyr]]|
pkgend=-moto.zip|
+
pkgend=-motoezx.pkg|
 
forum=4|
 
forum=4|
 
icon=linuxmoto|
 
icon=linuxmoto|
Line 38: Line 42:
 
tucker=yes|
 
tucker=yes|
 
}}
 
}}
= Installation =
+
== Installation ==
  
 
Factory Firmware does not support installing any linux-packages; a custom firmware is needed.
 
Factory Firmware does not support installing any linux-packages; a custom firmware is needed.
  
== MotoEZX-platform ==
+
=== MotoEZX-platform ===
  
 
pkg(mpkg)-package for devices: Motorola A1200, ROKR E6, A1600, ROKR E2
 
pkg(mpkg)-package for devices: Motorola A1200, ROKR E6, A1600, ROKR E2
  
=== Requirements ===
+
==== Requirements ====
  
 
* Firmware must support the installation pkg, mpkg-packages
 
* Firmware must support the installation pkg, mpkg-packages
Line 58: Line 62:
 
* [http://www.motoezx.at.ua/games-lib-env/lib-env-e2.tgz ROKR E2]
 
* [http://www.motoezx.at.ua/games-lib-env/lib-env-e2.tgz ROKR E2]
  
== MotoMAGX-platform ==
+
=== MotoMAGX-platform ===
  
 
There are package types mpkg, pep, and mgx for Motorola z6, v8, E8, EM30, U9, and ZN5. Select the type of installation package that supports your firmware on your phone.
 
There are package types mpkg, pep, and mgx for Motorola z6, v8, E8, EM30, U9, and ZN5. Select the type of installation package that supports your firmware on your phone.
  
=== mpkg-package for Motorola Z6 and V8 ===
+
==== mpkg-package for Motorola Z6 and V8 ====
  
==== Requirements ====
+
===== Requirements =====
  
 
* Firmware must support the installation mpkg-packages
 
* Firmware must support the installation mpkg-packages
Line 71: Line 75:
 
* [http://www.motoezx.at.ua/games-lib-env/lib-env-z6-mpkg.tgz lib-files] are needed to run ScummVM, please download them and extract them to the memory card.
 
* [http://www.motoezx.at.ua/games-lib-env/lib-env-z6-mpkg.tgz lib-files] are needed to run ScummVM, please download them and extract them to the memory card.
  
=== pep-package for Motorola Z6 and V8 ===
+
==== pep-package for Motorola Z6 and V8 ====
  
==== Requirements ====
+
===== Requirements =====
  
 
* Firmware must support the installation pep-packages
 
* Firmware must support the installation pep-packages
Line 80: Line 84:
 
* [http://www.motoezx.at.ua/games-lib-env/lib-env-z6-pep.tgz lib-files] are needed to run ScummVM, please download them and extract them to the memory card.
 
* [http://www.motoezx.at.ua/games-lib-env/lib-env-z6-pep.tgz lib-files] are needed to run ScummVM, please download them and extract them to the memory card.
  
=== mgx-package for E8, EM30, U9, and ZN5 ===
+
==== mgx-package for E8, EM30, U9, and ZN5 ====
  
==== Requirements ====
+
===== Requirements =====
  
 
* Firmware must support the installation mgx-packages
 
* Firmware must support the installation mgx-packages
  
===== E8 and EM30 =====
+
====== E8 and EM30 ======
  
 
* [http://www.motoezx.at.ua/games-lib-env/zSDL_E8_EM30_rev.3.0.mgx zSDL_E8_EM30_rev.3.0.mgx] are needed to run ScummVM, please download and install.
 
* [http://www.motoezx.at.ua/games-lib-env/zSDL_E8_EM30_rev.3.0.mgx zSDL_E8_EM30_rev.3.0.mgx] are needed to run ScummVM, please download and install.
  
===== U9 and ZN5 =====
+
====== U9 and ZN5 ======
  
 
* [http://www.motoezx.at.ua/games-lib-env/lib-env-zn5.tgz lib-files] are needed to run ScummVM, please download them and extract them to the memory card.
 
* [http://www.motoezx.at.ua/games-lib-env/lib-env-zn5.tgz lib-files] are needed to run ScummVM, please download them and extract them to the memory card.
  
= Game Control =
+
== Game Control ==
 
+
{{LinuxMotoControls}}
== pkg (A1200, E6, A1600) (motoezx) ==
 
 
 
{| border="1"
 
|- style="background:silver"
 
|Event||Button
 
|-
 
|Menu||call key
 
|-
 
|Skip scene||hangup key
 
|-
 
|Virtual keyboard||camera key
 
|-
 
|Left mouse click||joy(fire) or volume '-'
 
|-
 
|Right mouse click||volume '+'
 
|-
 
|Quit||mod+camera key (mod - key beetwin vol'+' & vol'-')
 
|}
 
 
 
 
 
== mgx, mpkg, pep (E8, EM30, U9, ZN5, Z6, V8, VE66, EM35) (motomagx) ==
 
 
 
{| border="1"
 
|- style="background:silver"
 
|Event||Button
 
|-
 
|Menu||left softkey
 
|-
 
|Skip scene||hangup key
 
|-
 
|Virtual keyboard||right softkey
 
|-
 
|Left mouse click||joy(fire) or volume '-'
 
|-
 
|Right mouse click||volume '+'
 
|-
 
|Quit||Clr key
 
|}
 

Latest revision as of 10:28, 3 June 2020

linuxmoto.png LinuxMoto Port
Latest Released Version 1.3.0
Supported Audio Options MP3, OGG, FLAC, Uncompressed
Additional Webpage(s) None
Maintainer(s) Lubomyr
Packager(s) Lubomyr
Forum Port Forum
Status Unmaintained
First Official Version 1.0.0

Installation

Factory Firmware does not support installing any linux-packages; a custom firmware is needed.

MotoEZX-platform

pkg(mpkg)-package for devices: Motorola A1200, ROKR E6, A1600, ROKR E2

Requirements

  • Firmware must support the installation pkg, mpkg-packages
  • pkg install support app like: SmartAssistant, Soft Assistant, pkg installer

If there is firmware support for mpkg-install, then rename the extension of the installation package from the pkg to mpkg.

lib-files are needed for run ScummVM. Please download and extract them to the memory card.

MotoMAGX-platform

There are package types mpkg, pep, and mgx for Motorola z6, v8, E8, EM30, U9, and ZN5. Select the type of installation package that supports your firmware on your phone.

mpkg-package for Motorola Z6 and V8

Requirements
  • Firmware must support the installation mpkg-packages
  • mpkg-packages must support custom firmwares called "Elysseum," "MPKG Basic," and others..
  • .Games folder on memory card (Used for saving games and settings)
  • lib-files are needed to run ScummVM, please download them and extract them to the memory card.

pep-package for Motorola Z6 and V8

Requirements
  • Firmware must support the installation pep-packages
  • pep packages must support custom firmware for z6 and v8 called "Project Evolution"
  • .Games folder on memory card (Used for saving games and settings)
  • lib-files are needed to run ScummVM, please download them and extract them to the memory card.

mgx-package for E8, EM30, U9, and ZN5

Requirements
  • Firmware must support the installation mgx-packages
E8 and EM30
U9 and ZN5
  • lib-files are needed to run ScummVM, please download them and extract them to the memory card.

Game Control

 Game Controller Mapping - pkg (A1200, E6, A1600) (motoezx):
Buttons Action
Call key Menu
Hangup key Skip Scene
Camera key Virtual Keyboard
joy(fire) or volume '-' Left Click
volume '+' Right Click
mod+camera key (mod - key beetwin vol'+' & vol'-') Quit
 Game Controller Mapping - mgx, mpkg, pep (E8, EM30, U9, ZN5, Z6, V8, VE66, EM35) (motomagx):
Buttons Action
Left softkey Menu
Hangup key Skip Scene
Right softkey Virtual Keyboard
joy(fire) or volume '-' Left Click
volume '+' Right Click
Clr key Quit